1

After installing

  • Data Exchange Framework 1.4 170419
  • Data Exchange Frameowrk1.4 SDK
  • Sitecore Provider for Data Exchange Framework 1.4.0 rev 170419

and going through the tutorial, I get the following error.

Could not load type 'Sitecore.DataExchange.Converters.BaseItemModelConverter `2' from assembly 'Sitecore.DataExchange, Version=1.4.0.0, Culture=neutral, PublicKeyToken=null'

Sitecore Admin Error

Any thoughts on what may be causing it?

Update: To remove any of my existing code, I performed the following with a fresh install.

  1. Using SIM install 8.2 Update 1 (16115)
  2. Install Sitecore Packages
    a. Data Exchange Framework 1.4.0 rev 170419
    b. Data Exchange Framework SDK 1.4.0 rev 170419
    c. File System Provider for Data Exchange Framework 1.4
    d. Sitecore Provider for Data Exchange Framework 1.4.0 rev 170419

  3. Go through and run the example here: https://www.youtube.com/watch?v=boaGaoRKAns

Same error exists when trying to add a Pipeline Batch

  • I would have to see more of your code to know what is going on. Do you have anything that you are converting incorrectly? Maybe something being returned from your endpoint. If this helps you can check out my blog starting with part 1. It breaks down the DXF process with an example. sitecorerunner.com/2017/05/25/… – RReilley Aug 1 '17 at 19:05
  • Can you change the order of installing packages? 1. Data Exchange Framework 1.4.0 rev 170419 2. Sitecore Provider for Data Exchange Framework 1.4.0 rev 170419 3. File System Provider for Data Exchange Framework 1.4 4. Data Exchange Framework SDK 1.4.0 rev 170419 – Vlad Shpak Aug 2 '17 at 6:52
  • I have tried changing the order and it didnt seem to make a difference – Brad Atwater Aug 2 '17 at 23:53
1

The sample provider was written for DEF 1.3 and you are trying to use it with DEF 1.4. You must recompile the sample provider.

Recompiling will fail until you make changes to the sample provider. DEF 1.4 includes breaking changes. The exception you are getting it's the result of this.

The constructor on the base item converter now accepts a single generic parameter. In DEF 1.3 it accepted 2. This is what the exception is describing.

  • I am using all versions 1.4 as described above. I am happy to recompile the sample File System Provider for DEF 1.4, but is that not already completed as shown here: github.com/Sitecore/Sitecore.DataExchange.Examples/tree/master/… ? – Brad Atwater Aug 2 '17 at 23:38
  • I am unable to reproduce the problem with the File System Provider for DEF 1.4. The problem is definitely that some converter is using the old BaseItemModelConverter type that requires 2 generic parameters. The one included in DEF 1.4 requires only 1 generic parameter. Can you look in your bin folder and confirm the DEF dlls are all at version 1.4? – Adam Conn Aug 2 '17 at 23:50
  • Recompiling the example provider and dropping the dll into the bin folder seemed to do the trick. Thanks! Not sure why the one provided in the example Sitecore Package folder was causing me fits. One thing to possibly note, it shows the zip was last updated 4 months ago, but the code was last updated 3 months ago even though they are both on 1.4. – Brad Atwater Aug 3 '17 at 23:45
  • Yeah, I probably messed up the check-in. I will double check. Sorry for the trouble! – Adam Conn Aug 3 '17 at 23:50

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.